aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch79
1 files changed, 79 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch b/recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch
new file mode 100644
index 0000000000..d4fa85a556
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.2/debian/svn-doc-updates.dpatch
@@ -0,0 +1,79 @@
+#! /bin/sh -e
+
+# DP: updates from the 4.3 branch upto 20080321 (documentation).
+
+last_updated()
+{
+ cat > ${dir}LAST_UPDATED <<EOF
+Fri Mar 21 20:55:21 CET 2008
+Fri Mar 21 19:55:21 UTC 2008 (revision 133434)
+EOF
+}
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ last_updated
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# svn diff svn://gcc.gnu.org/svn/gcc/tags/gcc_4_3_0_release svn://gcc.gnu.org/svn/gcc/branches/gcc-4_3-branch \
+# | awk '/^Index:.*\.class/ {skip=1; next} /^Index:/ { skip=0 } skip==0'
+
+Index: gcc/doc/extend.texi
+===================================================================
+--- gcc/doc/extend.texi (.../tags/gcc_4_3_0_release) (revision 133434)
++++ gcc/doc/extend.texi (.../branches/gcc-4_3-branch) (revision 133434)
+@@ -3380,7 +3380,8 @@
+
+ Some machines never actually require alignment; they allow reference to any
+ data type even at an odd address. For these machines, @code{__alignof__}
+-reports the @emph{recommended} alignment of a type.
++reports the smallest alignment that GCC will give the data type, usually as
++mandated by the target ABI.
+
+ If the operand of @code{__alignof__} is an lvalue rather than a type,
+ its value is the required alignment for its type, taking into account
+Index: gcc/doc/invoke.texi
+===================================================================
+--- gcc/doc/invoke.texi (.../tags/gcc_4_3_0_release) (revision 133434)
++++ gcc/doc/invoke.texi (.../branches/gcc-4_3-branch) (revision 133434)
+@@ -5208,8 +5208,9 @@
+ @opindex O3
+ Optimize yet more. @option{-O3} turns on all optimizations specified by
+ @option{-O2} and also turns on the @option{-finline-functions},
+-@option{-funswitch-loops}, @option{-fpredictive-commoning} and
+-@option{-fgcse-after-reload} options.
++@option{-funswitch-loops}, @option{-fpredictive-commoning},
++@option{-fgcse-after-reload} and @option{-ftree-vectorize}
++options.
+
+ @item -O0
+ @opindex O0
+@@ -5973,7 +5974,8 @@
+
+ @item -ftree-vectorize
+ @opindex ftree-vectorize
+-Perform loop vectorization on trees.
++Perform loop vectorization on trees. This flag is enabled by default at
++@option{-O3}.
+
+ @item -ftree-vect-loop-version
+ @opindex ftree-vect-loop-version